### Method

# Jsonrpc Server foreach

since: 3.28

#### Declaration [src]

    void
    jsonrpc_server_foreach (
      JsonrpcServer* self,
      GFunc foreach_func,
      gpointer user_data
    )

#### Description [src]

Calls `foreach_func` for every client connected.

Available since: 3.28

#### Parameters

`foreach_func`

  Type: `GFunc`

  A callback for each client.

`user_data`

  Type: `gpointer`

  Closure data for `foreach_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.